class TriggerAtTime:
    def __init__(self, triggertime):
        self.currenttime = 0
        self.time = time
        
    def update(self, dt, world):
        self.currenttime += dt
        if self.currenttime > self.time:
            return True
        return False
   
class TriggerWhenPlayerGoesByVertically:
    def __init__(self, height):
        self.height = height
        self.player_start_side = -1
        
    def update(self, dt, world):
        if self.player_start_side == -1:
            if world.player.position.y < self.height:
                self.player_start_side = False
            else:
                self.player_start_side = True
        return (world.player.position.y <= self.height) == self.player_start_side
    
class TriggerWhenPlayerGoesByHorizontally:
    def __init__(self, x):
        self.x = x
        self.player_start_side = -1
        
    def update(self, dt, world):
        if self.player_start_side == -1:
            if world.player.position.x < self.x:
                self.player_start_side = False
            else:
                self.player_start_side = True
        return (world.player.position.x <= self.x) == self.player_start_side
